Qt Cryptographic Architecture: QCA::TokenAsker Class Reference

# QCA::TokenAsker Class Reference
[QCA user API]

User token handler. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::TokenAsker:

Collaboration diagram for QCA::TokenAsker:

[legend]

List of all members.

## Signals
void | responseReady ()
## Public Member Functions
bool | accepted () const
void | ask (const KeyStoreInfo &keyStoreInfo, const KeyStoreEntry &keyStoreEntry, void *ptr)
void | cancel ()
| TokenAsker (QObject *parent=0)
void | waitForResponse ()
## Friends
class | Private

## Detailed Description

User token handler.

This class is used to request the user to insert a token.

Examples:

  eventhandlerdemo.cpp.

## Constructor & Destructor Documentation

QCA::TokenAsker::TokenAsker | ( | QObject * | parent = `0` | ) |

Construct a new asker.

Parameters:

  | parent | the parent object for this QObject

## Member Function Documentation

bool QCA::TokenAsker::accepted | ( |  | ) | const

Test if the token request was accepted or not.

Returns:
  true if the token request was accepted

Examples:
  eventhandlerdemo.cpp.

void QCA::TokenAsker::ask | ( | const KeyStoreInfo & | keyStoreInfo,
|  | const KeyStoreEntry & | keyStoreEntry,
|  | void * | ptr |
| ) |  |  |

queue a token request associated with a key store

Parameters:

  | keyStoreInfo | info of the key store that the information is required for
  | keyStoreEntry | the item in the key store that the information is required for (if applicable)
  | ptr | opaque data

Examples:
  eventhandlerdemo.cpp.

void QCA::TokenAsker::cancel | ( |  | ) |

Cancel the pending password / passphrase request.

void QCA::TokenAsker::responseReady | ( |  | ) | `[signal]`

Emitted when the asker process has been completed.

You should check whether the user accepted() the response prior to relying on token being present.

void QCA::TokenAsker::waitForResponse | ( |  | ) |

Block until the token request is completed.

You can use the responseReady signal instead of blocking, if appropriate.

Examples:
  eventhandlerdemo.cpp.

The documentation for this class was generated from the following file:

- qca_core.h